﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkBuilder
{
    public class Enumerator
    {
        private static Random random { get; set; }

        public static void Shuffle(Random random, long[][] array)
        {
            int lengthRow = array.GetLength(0);

            for (int i = array.Length - 1; i > 0; i--)
            {
                int j = random.Next(i + 1);

                long temp = array[i][0];
                array[i][0] = array[j][0];
                array[j][0] = temp;
            }
        }

        public static long[][] Enumerate(long[][] interactions)
        {
            Random rnd = new Random();
            Shuffle(rnd, interactions);
            return interactions;
        }
    }
}
