﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;


namespace NetworkBuilder
{
    public class Globals
    {
        public static string OutputFolder = @"../../output/main networks/";
        public static string PathogensTaxDistancesDataset = @"../../data/PathogensTaxDistances.txt";

        public static string PathogensClassification = @"../../data/PathogensClassification.txt";
        public static string VertebratesDataSet = @"../../data/interactions.txt";        
       public static string OrdersFamilies = @"../../data/OrdersFamilies.txt";


        public static string EdgesHeader = String.Format("{0},{1},{2},{3},{4}",
                                          "source", "target",
                                          "source_eideid", "target_eid2id",
                                          "weight");


        public static string NodesHeader = String.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9}",
                "id", "eid2id", "taxid",
                "order",
                "size", "sharedcount",
                "taxonomicDistinctness", "furtherTaxonomicDistinctness",
                "indirectInfluence",
                "sharedWithHuman"
                );

    }
}
